---
lang: en
title: 'API docs: repository.kvconnector.deleteall'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.kvconnector.deleteall.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [KVConnector](./repository.kvconnector.md) &gt; [deleteAll](./repository.kvconnector.deleteall.md)

## KVConnector.deleteAll() method

Delete all entries

<b>Signature:</b>

```typescript
deleteAll(modelClass: Class<Entity>, options?: Options): Promise<number>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  modelClass | <code>Class&lt;Entity&gt;</code> | Model class |
|  options | <code>Options</code> | Options for the operation |

<b>Returns:</b>

`Promise<number>`

A promise of the number of entries deleted


